#define XERR
#include "compiler.ih"

bool Compiler::compile()
{
    if (nFiles() == 0)
        return true;

    for (size_t idx = 0; idx != s_nThreads; ++idx)      // start the threads
        d_thread[idx] = thread{ &Compiler::compileJobs, ref(*this) };

                                                        // wait for them to
    for(size_t idx = 0; idx != s_nThreads; ++idx)       // end
        d_thread[idx].join();

    return d_OK;
}
